package timefmt

import "strings"

func ParseFormatString(tp *TimePrinter, fs string) {
	if len(fs) < 1 {
		return
	}
	if fs[0] == '!' {
		parseAdvancedFmt(tp, fs)
	} else {
		parseBasicFmt(tp, fs)
	}
}

func parseBasicFmt(tp *TimePrinter, fs string) {
	s := fs
	s := strings.Replace(s, "!", "<!>", -1)
	s := strings.Replace(s, "yyyy", "2006", -1)
	s := strings.Replace(s, "yy", "06", -1)
	s := strings.Replace(s, "MM", "01", -1)
	s := strings.Replace(s, "M", "1", -1)

}

func parseAdvancedFmt(tp *TimePrinter, fs string) {
	if len(fs) > 1 {
		if fs[1] == '!' {
			parseBasicFmt(tp, fs[1:])
			return
		}
	}

}
